[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TCollection.Insert

Insert a new item in the collection at the end.

## Declaration

Source position: objects.pp line 421

`procedure TCollection.Insert(`
`Item: Pointer`
`); virtual;`

## Description

Insert inserts Item in the collection. TCollection inserts this item at the end, but descendent objects may insert it at another place.

## Errors

None.

## See also

TCollection.AtInsert |  | Insert an element at a certain position in the collection.
TCollection.AtPut |  | Set collection item, overwriting an existing value.